"""
A games ladder engine in Python

PyngPyng
========



@copyright: 2009 by Scott Armitage <mail@scott.armitage.name>
@license: GNU GPLv2, see COPYING for details
    
"""

# Standard Python modules -----------------------------------------------------


# Extension modules -----------------------------------------------------------


# Module function -------------------------------------------------------------
def disbatch_handler(environ, start_response):
    """
    Parse the environ path information to determine the desired request/action
    and hand the processing off to the relevant PyngPyng action function.
    
    Parameters
    ----------
    environ : dict
        The WSGI environment variable is a dictionary object containing CGI-
        style environment variables. See PEP333 for specification.
    
    start_response : callable
        The response initiator callable accepts two positional arguments and
        one optional argument: `status`, `response_headers`, and `exc_info`
        respectively.
    
    Returns
    -------
    content : iterator
        The response content yielding zero or more strings. In the case of a
        successful request/action, this content is returned from the 
        PyngPyng action function.
    
    """
    start_response('200 OK',[('Content-Type','text/plain')])
    return ['Hello, world!']
